@tailwind base;
@tailwind components;

@import "markdown";
@import "mixins";

body {
  @apply bg-white dark:bg-gray-900 dark:text-gray-50;
}

a {
  @apply text-primary-500 font-semibold no-underline transition-colors;

  &:hover {
    @apply text-primary-900;
  }
}

// .pill-row {
//   @apply -mx-2 -my-1;

//   .pill-button {
//     @apply mx-2 my-1;
//   }
// }

// .pill-button {
//   @apply inline-block whitespace-nowrap text-white text-opacity-90
//   rounded-full uppercase font-semibold tracking-wider cursor-pointer
//   no-underline py-2 px-6 shadow-md transition-shadow
//   bg-gradient-to-r from-purple-500 to-indigo-500;

//   &:hover {
//     @apply shadow-lg;
//   }

//   a {
//     color: inherit;

//     &:hover {
//       @apply no-underline;
//     }
//   }
// }

@media print {
  .hide-print {
    display: none;
  }
}

@tailwind utilities;

@layer utilities {
  // .animation-delay-2000 {
  //   animation-delay: 2s;
  // }

  // .animation-delay-4000 {
  //   animation-delay: 4s;
  // }

  .border-themed {
    @include border-themed;
  }
  
  .divide-themed {
    @include divide-themed;
  }
}
